# Zálohování pomocí Borg

BorgBackup (Borg) je deduplikační nástroj pro zálohování, který nabízí šifrování, kompresi a další pokročilé funkce. Tento návod vám ukáže, jak nainstalovat a používat Borg pro zálohování vašich dat.

## Instalace Borg

### Na Arch Linuxu

```bash
sudo pacman -S borg
```

### Vytvoření repozitáře

Před použitím Borg musíte vytvořit repozitář, kam budou zálohy ukládány

```bash
borg init -e repokey-blake2 /cesta/k/repozitáři
```

### Vytvoření zálohy

Chcete-li vytvořit zálohu, použijte následující příkaz:

```bash
borg create --stats --progress /cesta/k/repozitáři::název-archivu /cesta/k/zdrojovým/souborům
```
#### Příklad

```bash
borg create --stats --progress /mnt/backup/archos_repo::backup-$(date +%Y-%m-%d) /home/archos
```

### Obnovení zálohy

Chcete-li obnovit zálohu, použijte následující příkaz:

```bash
borg extract /cesta/k/repozitáři::název-archivu
```
### Seznam záloh

Chcete-li zobrazit seznam všech záloh v repozitáři, použijte následující příkaz:

```bash
borg list /cesta/k/repozitáři
```
### Kontrola integrity záloh

Pro kontrolu integrity záloh použijte následující příkaz:

```bash
borg check /cesta/k/repozitáři
```

### Smazání starých záloh

Pro smazání starých záloh použijte následující příkaz:

```bash
borg prune -v --list /cesta/k/repozitáři --keep-daily=7 --keep-weekly=4 --keep-monthly=6
```

### Automatické zálohování

Pro automatizaci zálohování pomocí Borg můžete použít skript, který provádí zálohování a údržbu repozitáře (mazání starých záloh). Tento skript naleznete ve složce `skripty` [zde](/skripty/automatizované_zálohování_borg.sh)
.

#### Automatizovaný skript

Skript automatizované_zálohování_borg.sh provádí následující operace:

- Inicializace repozitáře (pokud ještě není inicializován).
- Vytvoření zálohy s aktuálním datem.
- Volitelné zálohování do vzdáleného repozitáře přes SSH.
- Mazání starých záloh podle definovaných pravidel.

#### Pro použití skriptu:

1. Upravte cesty ke zdrojovému adresáři a repozitáři podle vašich potřeb.

2. Nastavte správně proměnné prostředí BORG_REPO a BORG_PASSPHRASE pro použití vzdáleného repozitáře a hesla.

3. Uložte změny a nastavte spustitelnost skriptu:

```bash
chmod +x ../skripty/automatizované_zálohování_borg.sh
```
4. Spusťte skript:

```bash
../skripty/automatizované_zálohování_borg.sh
```
Tímto způsobem můžete efektivně spravovat své zálohy pomocí Borg.
